<?php
/**
*
* @package phpBB Extension - Welcome on Index
* @copyright (c) 2014 Stoker
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace stoker\welcomeonindex\migrations;

class module_data extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_WELCOMEONINDEX'
			)),
			array('module.add', array(
				'acp',
				'ACP_WELCOMEONINDEX',
				array(
					'module_basename'	=> '\stoker\welcomeonindex\acp\welcomeonindex_module',
					'modes'				=> array('settings'),
				),
			)),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('module.remove', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_WELCOMEONINDEX'
			)),
			array('module.remove', array(
				'acp',
				'ACP_WELCOMEONINDEX',
				array(
					'module_basename'	=> '\stoker\adsenseads\acp\adsenseads_module',
					'modes'				=> array('settings'),
				),
			)),
		);
	}
}
